Edit

Monitoring - Get Mirroring Status

Gets the overall mirroring status of the MirroredCatalog.
Returns the overall mirroring status of the MirroredCatalog.

Permissions

The caller must have read permissions for the mirrored catalog.

Required Delegated Scopes

Item.Read.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/mirroringStatus

URI Parameters

Name In Required Type Description
mirroredCatalogId
path True

string (uuid)

The MirroredCatalog ID.

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

MirroringStatusResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

Examples

Mirroring Status example
Mirroring Status with error example

Mirroring Status example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/mirroredCatalogs/5b218778-e7a5-4d73-8187-f10824047715/mirroringStatus

Sample response

{
  "status": "Running",
  "lastSyncDateTime": "2026-03-19T02:12:58.5404355Z"
}

Mirroring Status with error example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/mirroredCatalogs/5b218778-e7a5-4d73-8187-f10824047715/mirroringStatus

Sample response

{
  "status": "Failed",
  "lastSyncDateTime": "2026-03-19T01:45:30.1234567Z",
  "error": {
    "errorCode": "InvalidInput",
    "message": "Authentication to the source catalog failed. Verify the connection credentials are valid and have not expired, then try again."
  }
}

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ItemMirroringState

The mirroring state of the catalog. Additional ItemMirroringState types may be added over time.

MirroringStatusResponse

Response containing the overall mirroring status of the mirrored catalog.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

ItemMirroringState

The mirroring state of the catalog. Additional ItemMirroringState types may be added over time.

Value Description
Running

Catalog mirroring is running.

Stopped

Catalog mirroring has stopped.

Failed

Catalog mirroring failed. Check the error field for details.

MirroringStatusResponse

Response containing the overall mirroring status of the mirrored catalog.

Name Type Description
error

ErrorResponse

Item-level error details. Set when the item status is Failed. Null when the item is healthy or running.

lastSyncDateTime

string (date-time)

Last sync attempt timestamp. Null if no sync has been attempted yet. The timestamp is in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

status

ItemMirroringState

Current mirror status.